#!/usr/bin/python3

import asyncio
import websockets


async def echo(websocket, path):
    while True:
        try:
            async for message in websocket:
                await websocket.send(message)
        except websockets.exceptions.ConnectionClosedError:
            # Ignore too-large messages, sent as part of the test.
            pass


server = websockets.serve(echo, 'localhost', 8765)
asyncio.get_event_loop().run_until_complete(server)
asyncio.get_event_loop().run_forever()
